Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### ellipseMode()

Examples

    ellipseMode(CENTER);
    ellipse(35, 35, 50, 50);
    ellipseMode(CORNER);
    fill(102);
    ellipse(35, 35, 50, 50);

Description

The origin of the ellipse is modified by the ellipseMode() function. The default configuration is ellipseMode(CENTER), which specifies the location of the ellipse as the center of the shape. The RADIUS mode is the same, but the width and height parameters to ellipse() specify the radius of the ellipse, rather than the diameter. The CORNER mode draws the shape from the upper-left corner of its bounding box. The CORNERS mode uses the four parameters to ellipse() to set two opposing corners of the ellipse's bounding box. The parameter must be written in "ALL CAPS" because Processing is a case sensitive language.

Syntax

    ellipseMode(MODE)

Parameters

MODE | Either CENTER, RADIUS, CORNER, or CORNERS.

Returns | None
Usage | Web & Application
Related | ellipse()

Updated on November 22, 2008 08:39:25pm PST